package com.fs.ad.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.ad.domain.AdYoukuAccount;

/**
 * 优酷广告账号Service接口
 * 
 * @author fs
 * @date 2025-02-19
 */
public interface IAdYoukuAccountService extends IService<AdYoukuAccount>{
    /**
     * 查询优酷广告账号
     * 
     * @param id 优酷广告账号主键
     * @return 优酷广告账号
     */
    AdYoukuAccount selectAdYoukuAccountById(Long id);

    /**
     * 查询优酷广告账号列表
     * 
     * @param adYoukuAccount 优酷广告账号
     * @return 优酷广告账号集合
     */
    List<AdYoukuAccount> selectAdYoukuAccountList(AdYoukuAccount adYoukuAccount);

    /**
     * 新增优酷广告账号
     * 
     * @param adYoukuAccount 优酷广告账号
     * @return 结果
     */
    int insertAdYoukuAccount(AdYoukuAccount adYoukuAccount);

    /**
     * 修改优酷广告账号
     * 
     * @param adYoukuAccount 优酷广告账号
     * @return 结果
     */
    int updateAdYoukuAccount(AdYoukuAccount adYoukuAccount);

    /**
     * 批量删除优酷广告账号
     * 
     * @param ids 需要删除的优酷广告账号主键集合
     * @return 结果
     */
    int deleteAdYoukuAccountByIds(Long[] ids);

    /**
     * 删除优酷广告账号信息
     * 
     * @param id 优酷广告账号主键
     * @return 结果
     */
    int deleteAdYoukuAccountById(Long id);

    List<AdYoukuAccount> listAll();
}
